/**
 * Copyright 1998-2007, CHISEL Group, University of Victoria, Victoria, BC, Canada.
 * All rights reserved.
 */
package ca.uvic.csr.shrimp;

public class PanelModeConstants {

    /** 
     * Constant for showing a node as "closed"
     * Note: There is not actually a "closed" panel, just a mode of displaying
     */ 
    public static final String CLOSED = "Closed";
    
    /** 
     * Constant for showing a node's "children"
     * Note: There is not actually a "children" panel, just a mode of displaying
     */ 
    public static final String CHILDREN = "Children";
    
    /** 
     * Name for the Annotation panel. 
     */
    public final static String PANEL_ANNOTATION = "Annotation";
    
    /** 
     * Name for the Attributes panel. 
     */
    public final static String PANEL_ATTRIBUTES = "Attributes";
    
    /** 
     * Name for the default panel. 
     * The defult panel will vary from domain to domain.
     */
    public final static String PANEL_DEFAULT = "Default";

}
